Get onboarding V3
curl --request GET \
--url https://partner-card.test.public.rockerapi.dev/api/v3/engagements/card/onboarding/{onboarding-id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://partner-card.test.public.rockerapi.dev/api/v3/engagements/card/onboarding/{onboarding-id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://partner-card.test.public.rockerapi.dev/api/v3/engagements/card/onboarding/{onboarding-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"nationality": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "<string>",
"dateOfBirth": "<string>",
"placeOfBirth": "<string>",
"address": {
"streetLine1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>",
"streetLine2": "<string>"
},
"monthlyIncome": {
"amount": 123,
"currency": "<string>",
"unit": "<string>"
},
"verifiedPhone": "<string>",
"externalCustomerId": "<string>"
},
"company": {
"name": "<string>",
"city": "<string>",
"registrationInfo": {
"taxNumber": "<string>",
"registrationDate": "<string>",
"mainActivity": {
"classification": "NACE_REV_2_1"
},
"countryCode": "DE",
"businessType": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"onboardingType": "<string>",
"additionalInformation": {
"creditAssessment": {
"approvedLimit": {
"amount": 123,
"currency": "<string>",
"unit": "<string>"
},
"approvedAt": "2023-11-07T05:31:56Z",
"validUntil": "2023-11-07T05:31:56Z"
},
"verifiedCompany": {
"name": "<string>",
"city": "<string>",
"registrationDate": "<string>",
"registrationInfo": {
"taxNumber": "<string>",
"registrationAuthority": "<string>"
},
"companyAddress": {
"streetLine1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"country": "<string>",
"streetLine2": "<string>"
}
},
"engagementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}"<string>"{
"code": "<string>",
"message": "<string>"
}Card
Get onboarding V3
Get card onboarding with Consumer/Business/Corporate/Supplementary types
GET
/
api
/
v3
/
engagements
/
card
/
onboarding
/
{onboarding-id}
Get onboarding V3
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Response
- Business
- Consumer
- Corporate
- Supplementary
Available options:
PROCESSING, AWAITING_DOCUMENTS, AWAITING_SIGNING, AWAITING_DOCUMENT_REVIEW, AWAITING_CARD_CREATION, COMPLETED, REJECTED, FAILED Available options:
CREDIT, DEBIT, PREPAID Show child attributes
Show child attributes
Show child attributes
Show child attributes
Allowed value:
"BUSINESS"- CompletedOnboardingInformation
- CreditInformation
- FailureInformation
- RejectInformation
- SigningInformation
Show child attributes
Show child attributes
Key-value map. You can use metadata to store additional, structured information on an object. Max key length: 48 chars. Keys must not start with a digit. Max value length: 256 chars.
Show child attributes
Show child attributes
⌘I

